[linux-dvb] My Pinnacle 300i again....

tim0m1a tim0m1a at gmx.de
Sun Dec 18 17:45:44 CET 2005


Am Sun, 18 Dec 2005 17:18:55 +0100 schrieb José Luis Bolos  
<joseluisbolos at gmail.com>:

> 2005/12/17, tim0m1a <tim0m1a at gmx.de>:
>>
>> > Hmmm, that's interesting.
>> > My experiments started with 2.6.13 and continued with 2.6.14.
>> > And I did never try earlier kernel versions. Obviously I should have
>> > done that.
>> >
>> > Thanks for the hint !
>> >
>> > Michael
>> >
>>
>> I think it should not be a solution of this problem just to use an  
>> earlier
>> kernel version.
>>
>> But if you want to use a earlier kernel version please keep in mind that
>> you have to flash the latest firmware onto your card using the WinXP
>> driver. If your card does not use the latest firmware, you will not get  
>> it
> This is my first message to the list, so my apologies if I'm doing
> something incorrectly.
>
> I have a 300i and tried to make it work with a couple kernels giving
> these results:
>
> Kernel 2.6.12.5 - The card is correctly detected and works, but after
> 10 seconds of viewing starts giving i2c errors and the image stops.
> I have tried to upgrade the firmware but the card already comes with
> 1.11, which seems to be the latest (correct me if I'm wrong). I
> reflashed anyway but the card keeps getting i2c errors.

This is a problem of the v4l driver older than 2.13.

> Kernels greater than 2.6.13 - The card is correctly detected, but
> seems like it can't tune any channel, the only message is
> mt352_pinnacle_init
>

You can fix this problem by using a newer v4l version.

Try the 20050627 v4l snapshot. This should run with your 2.6.12 kernel.

I never got a newer v4l-Version running with my kernel, because the  
frontends were split off the v4l source and I had some problems to merge  
the dvb-kernel and the v4l trees.

But it seems that the 20050627 does not work with kernels newer than  
2.6.12.



More information about the linux-dvb mailing list